# std::discrete_distribution< _IntType > Class Template Reference
[Poisson]

A discrete_distribution random number distribution. More...

List of all members.

## Classes

- struct param_type

## Public Types

- typedef _IntType result_type

## Public Member Functions

- template<typename _InputIterator > discrete_distribution (_InputIterator __wbegin, _InputIterator __wend)
- template<typename _Func > discrete_distribution (size_t __nw, double __xmin, double __xmax, _Func __fw)
- discrete_distribution (const param_type &__p)
- discrete_distribution (initializer_list< double > __wl)
- result_type max () const
- result_type min () const
- template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
- template<typename _UniformRandomNumberGenerator > result_type operator() (_UniformRandomNumberGenerator &__urng)
- void param (const param_type &__param)
- param_type param () const
- std::vector< double > probabilities () const
- void reset ()

## Friends

- template<typename _IntType1 , typename _CharT , typename _Traits > std::basic_ostream< _CharT,
  _Traits > & operator<< (std::basic_ostream< _CharT, _Traits > &, const std::discrete_distribution< _IntType1 > &)
- template<typename _IntType1 , typename _CharT , typename _Traits > std::basic_istream< _CharT,
  _Traits > & operator>> (std::basic_istream< _CharT, _Traits > &, std::discrete_distribution< _IntType1 > &)

## Detailed Description

### template<typename _IntType = int>
class std::discrete_distribution< _IntType >

A discrete_distribution random number distribution.

The formula for the discrete probability mass function is

Definition at line 4682 of file random.h.

## Member Typedef Documentation

template<typename _IntType = int>

typedef _IntType std::discrete_distribution< _IntType >::result_type

The type of the range of the distribution.

Definition at line 4689 of file random.h.

## Member Function Documentation

template<typename _IntType = int>

result_type std::discrete_distribution< _IntType >::max | ( |  | ) | const`[inline]`

Returns the least upper bound value of the distribution.

Definition at line 4795 of file random.h.

References std::vector< _Tp, _Alloc >::size().

template<typename _IntType = int>

result_type std::discrete_distribution< _IntType >::min | ( |  | ) | const`[inline]`

Returns the greatest lower bound value of the distribution.

Definition at line 4788 of file random.h.

template<typename _IntType = int>
template<typename _UniformRandomNumberGenerator >

result_type std::discrete_distribution< _IntType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) | `[inline]`

Generating functions.

Definition at line 4803 of file random.h.

References std::discrete_distribution< _IntType >::operator()(), and std::discrete_distribution< _IntType >::param().

Referenced by std::discrete_distribution< _IntType >::operator()().

template<typename _IntType = int>

void std::discrete_distribution< _IntType >::param | ( | const param_type & | __param | ) | `[inline]`

Sets the parameter set of the distribution.

Parameters:

  | __param | The new parameter set of the distribution.

Definition at line 4781 of file random.h.

template<typename _IntType = int>

param_type std::discrete_distribution< _IntType >::param | ( |  | ) | const`[inline]`

Returns the parameter set of the distribution.

Definition at line 4773 of file random.h.

Referenced by std::discrete_distribution< _IntType >::operator()(), and std::operator==().

template<typename _IntType = int>

std::vector<double> std::discrete_distribution< _IntType >::probabilities | ( |  | ) | const`[inline]`

Returns the probabilities of the distribution.

Definition at line 4766 of file random.h.

template<typename _IntType = int>

void std::discrete_distribution< _IntType >::reset | ( |  | ) | `[inline]`

Resets the distribution state.

Definition at line 4759 of file random.h.

## Friends And Related Function Documentation

template<typename _IntType = int>
template<typename _IntType1 , typename _CharT , typename _Traits >

std::basic_ostream<_CharT, _Traits>& operator<< | ( | std::basic_ostream< _CharT, _Traits > & | ,
|  | const std::discrete_distribution< _IntType1 > & |  |
| ) |  |  | `[friend]`

Inserts a discrete_distribution random number distribution `__x` into the output stream `__os`.

Parameters:

  | __os | An output stream.
  | __x | A discrete_distribution random number distribution.

Returns:
  The output stream with the state of `__x` inserted or in an error state.

template<typename _IntType = int>
template<typename _IntType1 , typename _CharT , typename _Traits >

std::basic_istream<_CharT, _Traits>& operator>> | ( | std::basic_istream< _CharT, _Traits > & | ,
|  | std::discrete_distribution< _IntType1 > & |  |
| ) |  |  | `[friend]`

Extracts a discrete_distribution random number distribution `__x` from the input stream `__is`.

Parameters:

  | __is | An input stream.
  | __x | A discrete_distribution random number generator engine.

Returns:
  The input stream with `__x` extracted or in an error state.

The documentation for this class was generated from the following files:

- random.h
- random.tcc